#coding:utf-8
import math
import mongo_operater
import cx_Oracle,json
DB_NAME="test"
COLLECTION_NAME="rtmcp_mtm_gm"

def update_oracle_shp(demand_id,provider,conn, cursor):
    update_sql = "update nj_djzq_jp_gm set PT_T={0},PT_D={1},D_T={2},D_D={3},B_T={4},B_D={5},W_T={6},W_D={7} where objectid={8}".format(
        provider["travel"]["TP_T"],
        provider["travel"]["TP_D"],
        provider["travel"]["D_T"],
        provider["travel"]["D_D"],
        provider["travel"]["B_T"],
        provider["travel"]["B_D"],
        provider["travel"]["W_T"],
        provider["travel"]["W_D"],
        demand_id)
    cursor.execute(update_sql)
    print(update_sql)
    conn.commit()


if __name__=="__main__":
    conn = cx_Oracle.connect('you oracle tablespace user name/you orcale tablespace password@IP/orcl')
    cursor = conn.cursor()
    mongo_operater_obj = mongo_operater.MongoOperater(DB_NAME, COLLECTION_NAME)
    rows_json_list = mongo_operater_obj.find_records(0, 2265)
    n_fetched = len(rows_json_list)
    for demand in rows_json_list:
        try:
            demand_id = demand["demand_id"]
            providers_list=demand["provider"]
            for provider in providers_list:
                if provider["provider_id"]==1661:
                    update_oracle_shp(demand_id,provider,conn, cursor)
        except:
            continue
    cursor.close()
    conn.close()
    mongo_operater_obj.close()

