#coding:utf-8
import sys
#更新MongoDB中的值到Oracle中
#ORACLE库
import cx_Oracle
import mongo_operater

DB_NAME="test"
COLLECTION_NAME="rtmcp_mtm_gm"

"""
Update to the three fields in Oracle database to get the result graph
"""
def update_gravity_value_to_SDE_shp(single_gravity_value,mtm_gravity_value,mtm_rtmcp_gravity_value,objectid, conn, cursor):
    update_sql = "update nj_djzq_jp_gm set single={0},mtm={1},mtm_rtmcp={2} where objectid={3}".format(round(single_gravity_value,5),
                                                                                                          round(mtm_gravity_value,5),
                                                                                                          round(mtm_rtmcp_gravity_value,5),
                                                                                                                     objectid)
    cursor.execute(update_sql)
    conn.commit()
"""
Traverse each demand
"""
def trans_gravity_value(mongo_operater_obj, conn, cursor):
    rows_json_list = mongo_operater_obj.find_records(0, 2265)
    n_fetched = len(rows_json_list)
    for demand in rows_json_list:
        providers=demand["provider"]
        single_gravity_value=demand["gravity_value"]
        mtm_gravity_value=demand["mtm_gravity_value"]
        mtm_rtmcp_gravity_value=demand["mtm_rtmcp_gravity_value"]
        update_gravity_value_to_SDE_shp(single_gravity_value,mtm_gravity_value,mtm_rtmcp_gravity_value,demand["demand_id"], conn, cursor)

if __name__=="__main__":
    mongo_operater_obj = mongo_operater.MongoOperater(DB_NAME, COLLECTION_NAME)
    conn = cx_Oracle.connect('you oracle tablespace user name/you orcale tablespace password@IP/orcl')
    cursor = conn.cursor()
    commit = 0
    trans_gravity_value(mongo_operater_obj, conn, cursor)
    cursor.close()
    conn.close()
    mongo_operater_obj.close()





